package api.common.pojo.constants;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.ToString;

/**
 * 任务状态
 * Aborted 自动终止
 * PendingAnalysis 待定分析
 * Running 运行中
 * Analysing 分析中
 * Completed 已完成
 * Terminated 手动中止  Terminating 手动中止（这两个英文单词合为一个中文单词）
 * Pending 等待中
 * Failed 失败
 * Success 成功
 * G 优秀
 * A 良好
 * M 一般
 * P 较差
 *
 * @author martin
 */
@ToString
@AllArgsConstructor
@Getter
public enum StateConstant {

    Aborted("Aborted", "自动终止"),
    PendingAnalysis("PendingAnalysis", "待定分析"),
    Running("Running", "运行中"),
    Analysing("Analysing", "分析中"),
    Completed("Completed", "已完成"),
    Terminated("Terminated", "手动中止"),
    Terminating("Terminating", "手动中止"),
    Pending("Pending", "等待中"),
    Failed("Failed", "失败"),
    Success("Success", "成功"),
    G("G", "优秀"),
    A("A", "良好"),
    M("M", "一般"),
    P("P", "较差");

    private final String english;
    private final String chinese;

}